JBuilder 4: When I use the debugger with under JDK 1.2.x I get this error: "com.sun.jdi.connect.VMStartException..."

By: Aaron Ruddick

Abstract: Why do I get this error: "com.sun.jdi.connect.VMStartException..."

Question: When I use the debugger in JBuilder 4 with JDK 1.2.x I get this error: "com.sun.jdi.connect.VMStartException..."

Answer: Your JDK doesn't have the Java Platform Debugger Architecture (JPDA)

To fix this problem:

  1. Go to http://java.sun.com/products/jpda/ and download the JPDA.
  2. Go to http://java.sun.com/products/jpda/installinst.html for directions on how to install it.

We rely on Sun's JPDA in JBuilder 3.5 and 4, you will not be able to use the debugger without it. If you don't know if you have this or not look in your jdk1.2.x/lib directory for jpda.jar. If this file is missing then you need to download it. If you take a look at JDK1.3 you will not see this file because they have added the JPDA into the tools.jar.


Server Response from: ETNASC04